Bug 496284 - Unable to control internal speakers.
Unable to control internal speakers.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 12:06 EDT by David Woodhouse
Modified: 2009-04-23 11:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 11:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2009-04-17 12:06:28 EDT
When I plug external speakers/headphones into my laptop, its internal speakers are automatically turned off. Often, however, I actually want _both_ sets of speakers to be active.

In F-10 I could run gnome-volume-control, use the 'switches' tab and turn the internal speakers back on. I don't see how to do that in F-11.
Comment 1 Bastien Nocera 2009-04-22 17:45:17 EDT
This should be an output profile in PulseAudio, so we can support that use when gnome-volume-control supports PA profiles.
Comment 2 Matthias Clasen 2009-04-22 19:17:00 EDT
is this already controllable via profiles ? if so, installing pavucontrol should allow you to control it.
Comment 3 Lennart Poettering 2009-04-22 20:04:43 EDT
David, what's the name of that option in the alsa mixer?

Hmm, I am not convinced that we really should expose the ability to use both speaker sets simultaneously. 

Switching outputs is actually the same story as switching inputs more or less, i.e. bug 491372.
Comment 4 David Woodhouse 2009-04-23 05:18:57 EDT
It's not actually a different output -- it's just a checkbox in the old gnome-volume-control, entitled 'Speaker'. It just switches power to the internal amplifier.

It gets automatically switched off when I plug something into the headphone socket, and I need to turn it back on again.
Comment 5 Lennart Poettering 2009-04-23 11:11:16 EDT
I don't think PA should expose this kind of feature. If you want to make exotic use of your sound card (like driving internal speakers and the line-out at the same time with the same signal) you can always drop to the raw alsa mixer.

Regarding the input/output switching see bug 491372.

Will close this bug now, as I don't think that checkbox should be exposed in PA.

Note You need to log in before you can comment on or make changes to this bug.